# AMBIENTE LOCAL PARA DESARROLLADORES (MRDEVS TOOLS)
## GUÍA PARA DESARROLLADORES - REV. 08/12/2024

### PREPARACIÓN DE AMBIENTE LOCAL PARA DESARROLLADORES

#### Creación del área local de trabajo para desarrolladores

En la carpeta $HOME descargue el repositorio devs (la carpeta no debe existir):

    $ cd $HOME
    $ git clone https://git.rosero.one/mrosero/devs.git

**Nota:** Previamente, debe tener instalado el comando git.

#### Instalación de herramientas básicas y de gestión de contenedores 

A partir de este momento, la carpeta $HOME/devs será nuestra área de desarrollo donde se descargaran los diversos ambientes de desarrollo. Como primer paso instalaremos las herramientas básicas y de gestión de contenedores. Por razones de seguridad, priorizamos el uso de **podman**.

    $ cd $HOME/devs
    $ bin/bootstrap.sh

#### Actualización de ambiente local de desarrollo

Actualice los nuevos cambios y funcionalidades del ambiente de desarrollo local raíz

    $ cd $HOME/devs
    $ bin/update.sh

### ACCESO VPN A INFRAESTRUCTURA PARA DESARROLLADORES

#### Instalación de Cliente VPN con ambiente GUI (gráfico)

Para tener acceso a todos los recursos y servidores de desarrollo se requiere acceder vía VPN a la infraestructura d desarrollo. Para esto, se requiere instalar el cliente PRITUNL como sigue:

    $ cd $HOME/devs
    $ bin/vpn_install.sh [--help] [--version] [--update]

Nota: En determinadas versiones, las actualizaciones a partir de los repositorios no es posible por lo que usamos el argumento --update.
 
#### Instalación de Cliente OpenVPN con ambiente TUI (texto)

(pendiente)

#### Obtener archivo de configuración para acceso VPN

(pendiente)

### GESTIONANDO FIRMA GPG

#### Inicialización de configuración GPG

Como un requisito de nuestra plataforma, todos los desarrolladores deberán contar, por lo menos, con una clave GPG, que se utilizará para firmar o decifrar archivos, correos u otros.  Esto se hará con el uso del comando gpg (previamente instalado con la ejecución de bin/boostrap.sh).

En este paso estableceremos la configuración por defecto de GPG:

    $ cd $HOME/devs
    $ bin/gpg_init.sh

#### Creación de clave GPG

(pendiente)

#### Copia de seguridad de claves GPG

Para realizar una copia de seguridad de su configuración y claves GPG, haga lo siguiente:

    $ cd $HOME/devs
    $ bin/gpg_backup.sh

Nota: Esto creará una carpeta por defecto $HOME/secure/backups donde se almacenaran los backups corresponidentes. Solo se requiere se hagan backups cuando se hagan cambios a las claves GPG.
